Origin: backport, http://svn.gnu.org.ua/viewvc/tex4ht?view=rev&revision=164
Description: Remove timestamps from documentation output
 Based on a patch by Maria Valentina Marin <marivalenm@gmail.com>.
Bug: http://puszcza.gnu.org.ua/bugs/?277
Bug-Debian: https://bugs.debian.org/789843

--- a/texmf/tex/generic/tex4ht/html4.4ht
+++ b/texmf/tex/generic/tex4ht/html4.4ht
@@ -580,7 +580,7 @@
 }
 \Configure{HVerbatim+}{\z@}{\:nbsp}
 \Configure{CssFile}{\jobname.css}
-  {/* \aa:CssFile\space from \jobname.tex (TeX4ht, \:today) */}
+  {/* \aa:CssFile\space from \jobname.tex (TeX4ht) */}
 \Configure{Picture+}{}{}
 \Configure{Picture*}{}{}
 \Configure{Picture-alt}{[Picture]}
@@ -820,9 +820,13 @@
 \Configure{@HEAD}
    {\HCode{<meta name="src"
                  content="\jobname.tex"\xml:empty>\Hnewline}}
+\:CheckOption{timestamp} \if:Option
 \Configure{@HEAD}
    {\HCode{<meta name="date"
                  content="\:today"\xml:empty>\Hnewline}}
+\else
+   \Log:Note{to print a timestamp, use the command line option `timestamp}
+\fi
 
    \:CheckOption{-css} \if:Option \else
    \Log:Note{to ignore CSS code, use the command line option `-css}
--- a/texmf/tex/generic/tex4ht/docbook.4ht
+++ b/texmf/tex/generic/tex4ht/docbook.4ht
@@ -213,7 +213,7 @@
 \ht:special{t4ht<\aa:CssFile}%
 } {}
 \Configure{CssFile}{\jobname.css}
-  {/* \aa:CssFile\space from \jobname.tex (TeX4ht, \:today) */}
+  {/* \aa:CssFile\space from \jobname.tex (TeX4ht) */}
 \Configure{Needs}{l.
    \the\inputlineno\space--- needs --- #1 ---}
 \Configure{Needs-}{l.
@@ -761,7 +761,7 @@
 
 \def\:gobbleM#1->{}
 \Configure{BODY}
-   {\HCode{\Hnewline<!--translated from \jobname.tex, on \:today,
+   {\HCode{\Hnewline<!--translated from \jobname.tex,
      \Hnewline by TeX4ht  (http://www.cse.ohio-state.edu/\string
        ~gurari/TeX4ht/)
      \expandafter\:gobbleM\meaning\Preamble\space-->\Hnewline}
@@ -1076,7 +1076,7 @@
 
 \def\:gobbleM#1->{}
 \Configure{BODY}
-   {\HCode{\Hnewline<!--translated from \jobname.tex, on \:today,
+   {\HCode{\Hnewline<!--translated from \jobname.tex,
      \Hnewline by TeX4ht  (http://www.cse.ohio-state.edu/\string
        ~gurari/TeX4ht/)
      \expandafter\:gobbleM\meaning\Preamble\space-->\Hnewline}
@@ -1396,7 +1396,7 @@
 
 \def\:gobbleM#1->{}
 \Configure{BODY}
-   {\HCode{\Hnewline<!--translated from \jobname.tex, on \:today,
+   {\HCode{\Hnewline<!--translated from \jobname.tex,
      \Hnewline by TeX4ht  (http://www.cse.ohio-state.edu/\string
        ~gurari/TeX4ht/)
      \expandafter\:gobbleM\meaning\Preamble\space-->\Hnewline}
@@ -1697,7 +1697,7 @@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
     \def\:gobbleM#1->{}
 \Configure{BODY}
-   {\HCode{\Hnewline<!--translated from \jobname.tex, on \:today,
+   {\HCode{\Hnewline<!--translated from \jobname.tex,
      \Hnewline by TeX4ht  (http://www.cse.ohio-state.edu/\string
        ~gurari/TeX4ht/)
      \expandafter\:gobbleM\meaning\Preamble\space-->\Hnewline}
@@ -1975,7 +1975,7 @@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
     \def\:gobbleM#1->{}
 \Configure{BODY}
-   {\HCode{\Hnewline<!--translated from \jobname.tex, on \:today,
+   {\HCode{\Hnewline<!--translated from \jobname.tex,
      \Hnewline by TeX4ht  (http://www.cse.ohio-state.edu/\string
        ~gurari/TeX4ht/)
      \expandafter\:gobbleM\meaning\Preamble\space-->\Hnewline}
@@ -2252,7 +2252,7 @@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
     \def\:gobbleM#1->{}
 \Configure{BODY}
-   {\HCode{\Hnewline<!--translated from \jobname.tex, on \:today,
+   {\HCode{\Hnewline<!--translated from \jobname.tex,
      \Hnewline by TeX4ht  (http://www.cse.ohio-state.edu/\string
        ~gurari/TeX4ht/)
      \expandafter\:gobbleM\meaning\Preamble\space-->\Hnewline}
@@ -2684,7 +2684,7 @@
 
 \def\:gobbleM#1->{}
 \Configure{BODY}
-   {\HCode{\Hnewline<!--translated from \jobname.tex, on \:today,
+   {\HCode{\Hnewline<!--translated from \jobname.tex,
      \Hnewline by TeX4ht  (http://www.cse.ohio-state.edu/\string
        ~gurari/TeX4ht/)
      \expandafter\:gobbleM\meaning\Preamble\space-->\Hnewline}
@@ -3612,7 +3612,7 @@
 
 \def\:gobbleM#1->{}
 \Configure{BODY}
-   {\HCode{\Hnewline<!--translated from \jobname.tex, on \:today,
+   {\HCode{\Hnewline<!--translated from \jobname.tex,
      \Hnewline by TeX4ht  (http://www.cse.ohio-state.edu/\string
        ~gurari/TeX4ht/)
      \expandafter\:gobbleM\meaning\Preamble\space-->\Hnewline}
@@ -4019,7 +4019,7 @@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
     \def\:gobbleM#1->{}
 \Configure{BODY}
-   {\HCode{\Hnewline<!--translated from \jobname.tex, on \:today,
+   {\HCode{\Hnewline<!--translated from \jobname.tex,
      \Hnewline by TeX4ht  (http://www.cse.ohio-state.edu/\string
        ~gurari/TeX4ht/)
      \expandafter\:gobbleM\meaning\Preamble\space-->\Hnewline}
--- a/texmf/tex/generic/tex4ht/html-speech.4ht
+++ b/texmf/tex/generic/tex4ht/html-speech.4ht
@@ -121,8 +121,12 @@
     \expandafter\:gobbleM\meaning\Preamble}
 \Configure{@HEAD}
    {\HCode{<meta name="src" content="\jobname.tex"></meta>\Hnewline}}
+\:CheckOption{timestamp}\if:Option
 \Configure{@HEAD}
    {\HCode{<meta name="date" content="\:today"></meta>\Hnewline}}
+\else
+   \Log:Note{To print a timestamp, use the command line option timestamp}
+\fi
 
 \:CheckOption{css-in} \if:Option
    \Log:Note{the inline CSS code is extracted from the input of the
--- a/texmf/tex/generic/tex4ht/html0.4ht
+++ b/texmf/tex/generic/tex4ht/html0.4ht
@@ -224,7 +224,7 @@
 \def\d:HA{\HCode{</td>}}
 \Configure{HVerbatim+}{\z@}{\:nbsp}
 \Configure{CssFile}{\jobname.css}
-  {/* \aa:CssFile\space from \jobname.tex (TeX4ht, \:today) */}
+  {/* \aa:CssFile\space from \jobname.tex (TeX4ht) */}
 \Configure{Picture+}{}{}
 \Configure{Picture*}{}{}
 \Configure{Needs}{l.
--- a/texmf/tex/generic/tex4ht/html32.4ht
+++ b/texmf/tex/generic/tex4ht/html32.4ht
@@ -268,7 +268,7 @@
 \def\d:HA{\HCode{</td>}}
 \Configure{HVerbatim+}{\z@}{\:nbsp}
 \Configure{CssFile}{\jobname.css}
-  {/* \aa:CssFile\space from \jobname.tex (TeX4ht, \:today) */}
+  {/* \aa:CssFile\space from \jobname.tex (TeX4ht) */}
 \Configure{Picture+}{}{}
 \Configure{Picture*}{}{}
 \Configure{Needs}{l.
@@ -338,7 +338,7 @@
    \Configure{HEAD}
       {\IgnorePar\NoFonts\HCode
          {<head><!--\FileName\space from \jobname.tex
-(TeX4ht, \:today)-->%
+(TeX4ht)-->%
 \Hnewline}}
       {\HCode{</head>}\EndNoFonts}
 \fi
--- a/texmf/tex/generic/tex4ht/javahelp.4ht
+++ b/texmf/tex/generic/tex4ht/javahelp.4ht
@@ -183,7 +183,7 @@
      Created for JavaHelp
      (http://java.sun.com/products/javahelp/)\Hnewline
      by TeX4ht (http://www.cse.ohio-state.edu/\string
-     ~gurari/TeX4ht/)\Hnewline from \jobname.tex at \:today \space
+     ~gurari/TeX4ht/)\Hnewline from \jobname.tex \space
   }
 \Configure{crosslinks}{}{}{}{}{}{}{}{}{}
 \def\dTdLaNg{\expandafter
--- a/texmf/tex/generic/tex4ht/ooffice.4ht
+++ b/texmf/tex/generic/tex4ht/ooffice.4ht
@@ -379,10 +379,14 @@
        ~gurari/TeX4ht/)
 \Hnewline
     </meta:generator>\Hnewline}
+\:CheckOption{timestamp}\if:Option
 \Configure{META}
    {<meta:creation-date>\:today</meta:creation-date>\Hnewline}
 \Configure{META}
    {<dc:date>\:today</dc:date>\Hnewline}
+\else
+   \Log:Note{To print a timestamp, use the command line option timestamp}
+\fi
 \Configure{Preamble}
   {}
   {\ht:special{t4ht>\jobname-settings.4os}%
--- a/texmf/tex/generic/tex4ht/tei.4ht
+++ b/texmf/tex/generic/tex4ht/tei.4ht
@@ -98,7 +98,7 @@
 \Configure{TITLE+}
    {\HCode{<publicationStmt> <p></p> </publicationStmt>\Hnewline
            <sourceDesc><p>\FileName\space from \jobname.tex
-                          (TeX4ht, \:today)</p></sourceDesc>\Hnewline
+                          (TeX4ht)</p></sourceDesc>\Hnewline
    }}
 \Configure{BODY}
    {\ifTag{TITLE+}%
